Genivia - uddi2__save_USCOREbinding Class Reference

|  | Home | Documentation | uddi2__save_USCOREbinding Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | List of all members
uddi2__save_USCOREbinding Class Reference

Schema urn:uddi-org:api_v2:"save_binding". More...

`#include <uddi_v2.h>`

## Public Member Functions
| uddi2__save_USCOREbinding (struct soap *)
| Member declared in uddi2-typemap.dat. More...
| uddi2__save_USCOREbinding (struct soap *, uddi2__bindingTemplate &bindingTemplate)
| Member declared in uddi2-typemap.dat. More...
| uddi2__save_USCOREbinding (struct soap *, std::vector< uddi2__bindingTemplate * > bindingTemplates)
| Member declared in uddi2-typemap.dat. More...
uddi2__bindingDetail * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat. More...

## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo. More...
std::vector< uddi2__bindingTemplate * > | bindingTemplate
| Vector of uddi2__bindingTemplate* with length 0..unbounded. More...
char * | generic
| Attribute generic of type xs:string. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"save_binding".

Represents a request to post binding information on a UDDI server.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137742

## Constructor & Destructor Documentation

uddi2__save_USCOREbinding::uddi2__save_USCOREbinding | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the save_USCOREbinding class.

uddi2__save_USCOREbinding::uddi2__save_USCOREbinding | ( | struct soap * | soap,
|  | uddi2__bindingTemplate & | bindingTemplate
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | bindingTemplate | binding template

Creates an instance of the save_USCOREbinding class using the specified binding template.

uddi2__save_USCOREbinding::uddi2__save_USCOREbinding | ( | struct soap * | soap,
|  | std::vector< uddi2__bindingTemplate * > | bindingTemplates
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context
  [in] | bindingTemplates | collection of binding templates

Creates an instance of the save_USCOREbinding class using the specified binding templates.

## Member Function Documentation

uddi2__bindingDetail * uddi2__save_USCOREbinding::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |  |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server
  [in] | authInfo | authorization token provided by the UDDI server

Returns
  A pointer to a uddi2__bindingDetail object or NULL on error

Send a request to a UDDI server to post binding information on the server.

## Member Data Documentation

char* uddi2__save_USCOREbinding::authInfo

Element reference "urn:uddi-org:api_v2":authInfo.

Required element

std::vector<uddi2__bindingTemplate*> uddi2__save_USCOREbinding::bindingTemplate

Vector of uddi2__bindingTemplate* with length 0..unbounded.

char* uddi2__save_USCOREbinding::generic

Attribute generic of type xs:string.

Required attribute

struct soap* uddi2__save_USCOREbinding::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h